## kf6-syntax-highlighting 6.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.13.0")
project(KSyntaxHighlighting VERSION ${KF_VERSION})

find_package(ECM 6.13.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)
include(ECMOptionalAddSubdirectory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMQmlModule)

set(ksyntaxhighlighting_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/ksyntaxhighlighting_version.h")
ecm_setup_version(PROJECT
    VARIABLE_PREFIX KSYNTAXHIGHLIGHTING
    VERSION_HEADER "${ksyntaxhighlighting_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfigVersion.cmake"
    SOVERSION 6
)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

#
# Dependencies
#
set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on QtGui" ON)
if(KSYNTAXHIGHLIGHTING_USE_GUI)
    find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui)
endif()
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS PrintSupport Widgets Quick)
set_package_properties(Qt6 PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt6Widgets PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt6PrintSupport PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt6Quick PROPERTIES PURPOSE "QtQuick bindings.")

# https://xerces.apache.org/index.html for validation
find_package (XercesC)
set_package_properties(XercesC PROPERTIES PURPOSE "Compile-time validation of syntax definition files.")

find_package(Perl REQUIRED)
set_package_properties(Perl PROPERTIES PURPOSE "Auto-generate PHP syntax definition files.")

#
# allow to install the "differently" licensed syntax xml files instead of putting them in a QRC and link them in
#
option(QRC_SYNTAX "Bundle the syntax definition files inside the library as resources" ON)
add_feature_info(SYNTAX_RESOURCE ${QRC_SYNTAX} "Bundle the syntax definition files inside the library as resources")

#
# allow to turn of lookup for syntax files and themes via QStandardPaths
#
option(NO_STANDARD_PATHS "Skip lookup of syntax and theme definitions in QStandardPaths locations" OFF)
add_feature_info(FEATURE_NO_STANDARD_PATHS ${NO_STANDARD_PATHS} "Skip lookup of syntax and theme definitions in QStandardPaths locations")

#
# API documentation
#
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

#
# Translations
#
ecm_install_po_files_as_qm(poqm)

# tell the framework if it shall use the syntax files from the resource
if (QRC_SYNTAX)
    add_definitions(-DHAS_SYNTAX_RESOURCE)
endif()

# skip standard paths?
if (NO_STANDARD_PATHS)
    add_definitions(-DNO_STANDARD_PATHS)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
)

#
# Actually build the stuff
#
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(data)
add_subdirectory(src)
if(TARGET Qt6::Gui)
    add_subdirectory(examples)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
    endif()
endif()

#
# CMake package config file generation
#
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6SyntaxHighlighting")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6SyntaxHighlighting_QCH
        FILE KF6SyntaxHighlightingQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SyntaxHighlightingQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6SyntaxHighlightingConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if(TARGET KF6SyntaxHighlighting)
    install(EXPORT KF6SyntaxHighlightingTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6SyntaxHighlightingTargets.cmake
        NAMESPACE KF6::)
endif()

install(FILES "${ksyntaxhighlighting_version_header}"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KSyntaxHighlighting"
        COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add target to update kate-editor.org syntax page + update site
add_custom_target(update_kate_editor_org
    COMMAND "${PERL_EXECUTABLE}" "${CMAKE_CURRENT_SOURCE_DIR}/utils/update-kate-editor-org.pl" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}")

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== data/CMakeLists.txt ===
# create a directory for generated definitions
execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax)

macro(generate_syntax_definition generator targetFile srcFile)
    add_custom_target(
        ${targetFile} ALL
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile}
    )
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile}
        COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/generators/${generator}
                ${CMAKE_CURRENT_SOURCE_DIR}/syntax/${srcFile}
                ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile}
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/generators/${generator}
                ${CMAKE_CURRENT_SOURCE_DIR}/syntax/${srcFile}
                ${ARGN}
        VERBATIM
    )
    set(gen_defs ${gen_defs} ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile})
endmacro()

macro(generate_syntax_definition_with_html syntax mergedSyntax)
    generate_syntax_definition(generate-html.pl ${mergedSyntax}-${syntax}.xml ${mergedSyntax}.xml ${CMAKE_CURRENT_SOURCE_DIR}/syntax/${syntax}.xml)
endmacro()

# generate PHP definitions
generate_syntax_definition_with_html(php html)
generate_syntax_definition_with_html(php css)
generate_syntax_definition_with_html(php javascript)
generate_syntax_definition_with_html(php javascript-react)
generate_syntax_definition_with_html(php typescript)
generate_syntax_definition_with_html(php mustache)

# generate Twig definitions
generate_syntax_definition_with_html(twig html)
generate_syntax_definition_with_html(twig css)
generate_syntax_definition_with_html(twig javascript)
generate_syntax_definition_with_html(twig javascript-react)
generate_syntax_definition_with_html(twig typescript)

# generate DoxygenLua definition
generate_syntax_definition(generate-doxygenlua.pl doxygenlua.xml doxygen.xml)

# find all definitions
file(GLOB src_defs "${CMAKE_CURRENT_SOURCE_DIR}/syntax/*.xml")
set(defs ${src_defs} ${gen_defs})

# object library to make cross-folder dependencies work
add_library(SyntaxHighlightingData OBJECT)

# theme data resource
target_sources(SyntaxHighlightingData PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/themes/theme-data.qrc)

# generate the resource file
set(compressed_xml_dir ${CMAKE_CURRENT_BINARY_DIR}/generated/compressed-syntax)
set(qrc_xml_file ${CMAKE_CURRENT_BINARY_DIR}/syntax-data-xml.qrc)
set(qrc_file ${CMAKE_CURRENT_BINARY_DIR}/syntax-data.qrc)
set(qrc_xml_body "")
set(qrc_body "")
foreach(def ${defs})
    get_filename_component(def_name ${def} NAME)
    string(APPEND qrc_body "<file alias=\"${def_name}\">${compressed_xml_dir}/${def_name}</file>\n")
    string(APPEND qrc_xml_body "<file>${def}</file>\n")
    set(compressedDefs ${compressedDefs} ${compressed_xml_dir}/${def_name})
endforeach()
write_file(${qrc_xml_file} "<!DOCTYPE RCC>\n<RCC>${qrc_xml_body}</RCC>")
set(SYNTAX_DATA_QRC_FILES_STRING ${qrc_body})
configure_file(syntax-data.qrc.in ${qrc_file} @ONLY)

# compress xml files
execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${compressed_xml_dir})

# generate the index file
add_custom_target(katesyntax DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax")
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax"
    COMMAND katehighlightingindexer
        "${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax"
        "${CMAKE_CURRENT_SOURCE_DIR}/schema/language.xsd"
        "${qrc_xml_file}"
        "${compressed_xml_dir}"
    DEPENDS katehighlightingindexer
        ${defs}
        ${qrc_file}
        ${CMAKE_CURRENT_SOURCE_DIR}/schema/language.xsd
)

# do we want syntax files bundled in the library?
if (QRC_SYNTAX)
    # generate the qrc file manually, to make dependencies on generated files work...
    add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp"
        COMMAND Qt6::rcc --name syntax_data -o "${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp" "${qrc_file}"
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax
    )
    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp" PROPERTIES SKIP_AUTOMOC ON)

    target_sources(SyntaxHighlightingData PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp)
else()
    add_dependencies(SyntaxHighlightingData katesyntax)
    # install the syntax files as normal files into the prefix
    install (FILES "${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax" ${compressedDefs} DESTINATION ${KDE_INSTALL_DATADIR}/org.kde.syntax-highlighting/syntax-bundled)
endif()

# set PIC to allow use in static and shared libs
# this needs some more recent CMake than generally required
set_property(TARGET SyntaxHighlightingData PROPERTY POSITION_INDEPENDENT_CODE 1)
if(NOT ${CMAKE_VERSION} VERSION_LESS "3.13.0")
    target_link_libraries(SyntaxHighlightingData PRIVATE Qt6::Core)
endif()

=== autotests/input/Makefile ===
# comment

include Makefile.in
-include Makefile.doesntexist

.PHONY: all

all: target

foo = bar $(var) \
    $(baz) quux

ifeq ($(CC),gcc)
    bla=$(call func,param1,param2)
else ifeq "x" "y"
    $(error this seems wrong)
else
    libs=$(normal_libs)
endif

target1:
        error

target2: bla.cpp $@
	$(CC) bla.c -o bla.o
	$(CC) bla.o $< \
	    -o bla.exe
	@echo "hello" \
  bla bla
	echo "hello" \
  bla bla

target3: ; @echo ’hello \
world’ ; echo "hello \
world"
	@echo "hello"

target4: ; echo ’hello \
world’ ; echo "hello \
world"
	echo "hello"

target5 \
target6 \
target7 &::
	@echo "hello"
# this should not break the rule
  # ifndef is a command
	ifndef

# String Substitution
VAR := $(ANOTHER_VAR:%=%+1)

# Variable Assignment
RELAXED ::= mello
rempl := x
foo := a b c
bar := foo
hello := $($(bar):a=$(rempl))
my??var=value
var??=value
var?=value
var? = value
var :::= value
var ::= value
var += value
var != value
  var = value\#nocomment
  var = value#comment
  var = value;value2
override var = a

define var :::=
bar
endef

override define var :::=
bar
endef

undefine var
override undefine var

export foo bar
export foo = bar
unexport foo bar

prog: private EXTRA_CFLAGS = -L/usr/local/lib
prog: CFLAGS = -g
prog: a.o b.o

# Conditionals
bar =
foo = $(bar)
ifdef bar
frobozz = yes
else ifdef foo
frobozz = no
endif

error_type := 0
check:
ifeq ($(error_type),0)
else ifeq ($(error_type),1)
else ifeq ($(error_type),2)
else ifeq ($(error_type),3)
endif

$(info "'")
$(info '"')
$(info $(??))

$(eval $(call Variable_rule,target/compile_flags,$${CXX} $$(CXXFLAGS)))
$(eval ${call Variable_rule,target/link_flags,$$(CXX) $$(LDFLAGS) $${LDLIBS}})

=== examples/codepdfprinter/CMakeLists.txt ===
if(TARGET Qt6::Widgets AND TARGET Qt6::PrintSupport)
    add_executable(codepdfprinter codepdfprinter.cpp main.cpp)
    target_link_libraries(codepdfprinter Qt6::Widgets Qt6::PrintSupport KF6SyntaxHighlighting)
endif()

## kf6-syntax-highlighting 6.3.0

=== debian/changelog ===
kf6-syntax-highlighting (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:53:30 +0200

kf6-syntax-highlighting (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2024 07:48:35 +0200

kf6-syntax-highlighting (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Apr 2024 19:36:21 +0200

ksyntax-highlighting (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Mar 2024 23:58:48 +0100

ksyntax-highlighting (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:32 +0200

ksyntax-highlighting (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:52 +0100

ksyntax-highlighting (5.103.0-3) unstable; urgency=medium

  * Team upload.
  * Link with atomic also on powerpc.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Feb 2023 16:34:47 +0100

ksyntax-highlighting (5.103.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.
  * Make sure to link with atomic on architectures that need it, i.e.
    armel m68k mipsel sh4.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Feb 2023 08:36:41 +0100

ksyntax-highlighting (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:25 +0100

ksyntax-highlighting (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh copyright information.
  * Drop optional symbol removed upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:03 +0100

ksyntax-highlighting (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:25 +0100

ksyntax-highlighting (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

ksyntax-highlighting (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:39 +0200

ksyntax-highlighting (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:31 +0200

ksyntax-highlighting (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Add lintian override for kate-syntax-highlighter having no manpages.
  * Add overrides for lintian not liking the look of test data files.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:00 +0200

ksyntax-highlighting (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200

ksyntax-highlighting (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * New upstream release (5.93.0).

  [ Helmut Grohne ]
  * Fix FTCBFS: Add missing native dependencies qtbase5-dev and qttools5-dev.
    (Closes: #1006869)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

ksyntax-highlighting (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the libqt5xmlpatterns5-dev dependency from
    libkf5syntaxhighlighting-dev, as no devel bits require the former.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update symbols files from the logs of buildds.
  * Annotate the perl build dependency as :any, as it is used during build
    to run scripts (and thus any runnable perl will work fine).

 -- Pino Toscano <pino@debian.org>  Sat, 26 Feb 2022 10:24:26 +0100



=== debian/control ===
Source: kf6-syntax-highlighting
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libxerces-c-dev,
               libxkbcommon-dev,
               perl:any,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/syntax-highlighting
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
Rules-Requires-Root: no

Package: libkf6syntaxhighlighting-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Syntax highlighting Engine - translations
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package provides the translations.

Package: libkf6syntaxhighlighting-dev
Section: libdevel
Architecture: any
Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
Multi-Arch: same
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Contains development files for libkf6syntaxhighlighting6.

Package: libkf6syntaxhighlighting-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: Syntax highlighting Engine (documentation)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: libkf6syntaxhighlighting-tools
Architecture: any
Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Provides additional tools for libkf6syntaxhighlighting6

Package: libkf6syntaxhighlighting6
Architecture: any
Multi-Arch: same
Depends: libkf6syntaxhighlighting-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: qml6-module-org-kde-syntaxhighlighting
Architecture: any
Multi-Arch: same
Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine (QML module)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package contains the QtQuick QML module.

## kf6-syntax-highlighting 6.6.0

=== debian/changelog ===
kf6-syntax-highlighting (6.6.0-2+rpi1) trixie-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 03 Dec 2024 17:27:17 +0000

kf6-syntax-highlighting (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:39:47 +0100

kf6-syntax-highlighting (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:21 +0200

kf6-syntax-highlighting (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6, and drop old
    include path added via gcc options.
  * CI: update/simplify configuration.
  * Drop mipsel bits, as that architecture was discontinued.
  * Update symbols file from the logs of buildds.
  * Enable running the tests suite at build time, which should work fine.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 13:27:37 +0200

kf6-syntax-highlighting (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:02 +0200

kf6-syntax-highlighting (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
@@ -41,6 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
+         qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
@@ -103,6 +105,7 @@
 Multi-Arch: same
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Syntax highlighting Engine (QML module)
  This is a stand-alone implementation of the Kate syntax

## kf6-syntax-highlighting 6.9.0

=== debian/changelog ===
kf6-syntax-highlighting (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:51 +0000

kf6-syntax-highlighting (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:57:41 +0000

kf6-syntax-highlighting (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:40:17 +0000

kf6-syntax-highlighting (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:58:28 +0100

kf6-syntax-highlighting (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:54 +0100

kf6-syntax-highlighting (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Mark a symbol optional.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:48 +0100

kf6-syntax-highlighting (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:37:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-syntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
@@ -20,8 +21,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
 Rules-Requires-Root: no
 
 Package: libkf6syntaxhighlighting-data

## kf6-syntax-highlighting 6.10.0

=== debian/changelog ===
kf6-syntax-highlighting (6.10.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS: Missing B-D on native libraries used by
    native_katehighlightingindexer, thx to Helmut Grohne (Closes:
    #1095181).

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 19:13:28 +0100

kf6-syntax-highlighting (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:56 +0100

kf6-syntax-highlighting (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:01:26 +0100

kf6-syntax-highlighting (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:29 -0600

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-syntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev:native,
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
+               qt6-tools-dev:native,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
 Rules-Requires-Root: no
 
 Package: libkf6syntaxhighlighting-data
@@ -44,8 +45,8 @@
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
 Multi-Arch: same

## kf6-syntax-highlighting 6.11.0

=== debian/changelog ===
kf6-syntax-highlighting (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
-               qt6-base-dev:native,
+               qt6-base-dev:native (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                qt6-tools-dev:native,

## kf6-syntax-highlighting 6.12.0

=== debian/changelog ===
kf6-syntax-highlighting (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:40 +0000

kf6-syntax-highlighting (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:40 +0000

kf6-syntax-highlighting (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-syntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-dev:native (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-tools-dev:native,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
 Rules-Requires-Root: no
 
 Package: libkf6syntaxhighlighting-data
@@ -45,8 +44,8 @@
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
 Multi-Arch: same

## kf6-syntax-highlighting 6.13.0

=== debian/changelog ===
kf6-syntax-highlighting (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:34:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-syntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev:native (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+               qt6-tools-dev:native,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
 Rules-Requires-Root: no
 
 Package: libkf6syntaxhighlighting-data
@@ -44,8 +45,8 @@
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
 Multi-Arch: same

## kf6-syntax-highlighting 6.14.0

=== debian/changelog ===
kf6-syntax-highlighting (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:02:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-syntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-dev:native (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-tools-dev:native,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
 Rules-Requires-Root: no
 
 Package: libkf6syntaxhighlighting-data
@@ -45,8 +44,8 @@
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
 Multi-Arch: same

## kf6-syntax-highlighting 6.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0")
+set(KF_VERSION "6.16.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
-find_package(ECM 6.13.0 REQUIRED NO_MODULE)
+find_package(ECM 6.16.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -19,11 +19,11 @@
 include(ECMPoQmTools)
 include(ECMQtDeclareLoggingCategory)
 include(ECMMarkNonGuiExecutable)
-include(ECMAddQch)
 include(ECMOptionalAddSubdirectory)
 include(ECMGenerateExportHeader)
 include(ECMDeprecationSettings)
 include(ECMQmlModule)
+include(ECMGenerateQDoc)
 
 set(ksyntaxhighlighting_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/ksyntaxhighlighting_version.h")
 ecm_setup_version(PROJECT
@@ -38,7 +38,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
 option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on QtGui" ON)
 if(KSYNTAXHIGHLIGHTING_USE_GUI)
@@ -68,12 +68,6 @@
 #
 option(NO_STANDARD_PATHS "Skip lookup of syntax and theme definitions in QStandardPaths locations" OFF)
 add_feature_info(FEATURE_NO_STANDARD_PATHS ${NO_STANDARD_PATHS} "Skip lookup of syntax and theme definitions in QStandardPaths locations")
-
-#
-# API documentation
-#
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 #
 # Translations
@@ -112,16 +106,6 @@
 #
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6SyntaxHighlighting")
 
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6SyntaxHighlighting_QCH
-        FILE KF6SyntaxHighlightingQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SyntaxHighlightingQchTargets.cmake\")")
-endif()
-
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF6SyntaxHighlightingConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfig.cmake"

=== debian/changelog ===
kf6-syntax-highlighting (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:50:01 +0100

kf6-syntax-highlighting (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:37:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,

## kf6-syntax-highlighting 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.16.0")
+set(KF_VERSION "6.17.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
-find_package(ECM 6.16.0 REQUIRED NO_MODULE)
+find_package(ECM 6.17.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -85,7 +85,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
 )
 
 #

=== debian/changelog ===
kf6-syntax-highlighting (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:52 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

archs_that_need_atomic = armel m68k mipsel powerpc sh4
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_that_need_atomic)))
	export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
